Take RevisionSlider out of beta for Wikis
Closed, ResolvedPublic

Description

Motivation
The RevisionSlider has been running stable for the past months, is already a default on de-wiki, he-wiki and ar-wiki and apart from that used by 35+K users as a beta feature. It is time for the RevisionSlider to be taken out of beta.

Task

  • Take the RevisionSlider out of beta for all wikis

deployment date
May 17th 2017

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 24 2017, 12:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE updated the task description. (Show Details)Apr 26 2017, 11:55 AM
Addshore claimed this task.May 2 2017, 2:40 PM
Addshore added a project: User-Addshore.
Addshore moved this task from Backlog to Next on the User-Addshore board.
Lea_WMDE renamed this task from Take RevisionSlider out of beta for Wikipedias with new UI changes to Take RevisionSlider out of beta for Wikis.May 9 2017, 7:58 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
stjn added a subscriber: stjn.May 15 2017, 10:10 PM

Two questions that need definitive answers:

  1. Based on what exactly was this decided?
  2. Why there were no community discussions happening beforehand?
Aklapper added a comment.EditedMay 15 2017, 10:16 PM

See https://meta.wikimedia.org/wiki/Community_Tech/RevisionSlider and https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes/RevisionSlider for rationale and feel free to discuss there... (Plus you can turn it off in your preferences.)

stjn added a comment.May 15 2017, 10:58 PM

See https://meta.wikimedia.org/wiki/Community_Tech/RevisionSlider and https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes/RevisionSlider for rationale and feel free to discuss there... (Plus you can turn it off in your preferences.)

Following the discussion on IRC:

  1. This is very poorly handled and ill-advised decision − the only ways in which this feature was discussed are 1) German community wishlist (which doesn’t say anything about approval outside German Wikipedia); 2) beta feature feedback (which is English-centric and is not frequently visited by other users, which is maybe why the whole page has lower than 500 revisions). No community discussions were considered or planned, despite .
  2. The fact that the change is happening and this extension is leaving the beta phase was not communicated: https://meta.wikimedia.org/wiki/Tech/News/2017/15 − if this is indeed the announcement that was planned for the feature leaving the beta phase, then it fails. It reads like there is going to be a beta feature added or something will change in the algorithm of RevisionSlider, not as ‘we are going to deploy it by default on all projects’.

Overall, a very misguided decision. The fact that you’ve looked only on the numbers and glossed over any community feedback that might’ve been left before deploying is hardly justifiable, but alas. I hope that these concerns would be at least met with any future ‘German community wish’ suddenly deploying in all projects with next to none direct community discussions.

Hi @stjn,

I'm sorry to hear that you are unhappy with our decision. This is why we are confident to deploy the RevisionSlider to all wikis:

  • Before enabling the RevisionSlider as a beta feature, we sent out out a mass message to all wikis, which was translated to ~30 languages, in order to reach as many people as possible in their native language.
  • Today, we will send out another mass message to let all wikis know about the change, so they can reach out to us, if they want to have it disabled
  • We did announce the deploy in the last issue of TechNews (you are referencing the last UI change, this indeed was no message to announce the deploy)
  • Although we solved a wish from the German speaking community wishlist, this feature originates from the All Our Ideas survey of the Community Tech team, so it is not just from the German speaking community
  • We had community consensus requests by the arabic, hebrew and polish community to get this as a beta feature and/or released, acted on all critical feedback we got, but even more we had feedback like "it works great in farsi!", "thank you for thinking about languages that write right to left!", "please update the RevisionSlider on LTS version of mediawiki REL 1.27". The extension page itself received ~1700 page views
  • The revisionSlider was used widely during beta feature phase, and the number of disables was small, while the usage number increased steadily

If there is consensus in a project to turn the feature off, we can do that. And if you have any feedback, what you would have liked to see differently, I'm happy to hear that!
Best,
Lea

stjn added a comment.May 16 2017, 4:30 PM

https://www.mediawiki.org/wiki/Topic:Tqnszvjy8pdei6yq
Feel free to answer although I am certain that would not change anything anywhere, not even in the future conduct.

Change 354116 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Take RevisionSlider out of beta on all sites

https://gerrit.wikimedia.org/r/354116

Change 354116 merged by jenkins-bot:
[operations/mediawiki-config@master] Take RevisionSlider out of beta on all sites

https://gerrit.wikimedia.org/r/354116

Mentioned in SAL (#wikimedia-operations) [2017-05-17T13:42:40Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT [[gerrit:354116|Take RevisionSlider out of beta on all sites]] T163685 PT 1/2 (duration: 00m 40s)

Lea_WMDE moved this task from TODO to Done on the Revision-Slider board.May 21 2017, 7:52 PM
Tobi_WMDE_SW closed this task as Resolved.May 31 2017, 12:00 PM
Addshore moved this task from Next to Done on the User-Addshore board.Jun 12 2017, 2:44 PM